summaryrefslogtreecommitdiff
path: root/env/setup-inner.sh
diff options
context:
space:
mode:
Diffstat (limited to 'env/setup-inner.sh')
-rwxr-xr-xenv/setup-inner.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/env/setup-inner.sh b/env/setup-inner.sh
new file mode 100755
index 0000000..1d01c0b
--- /dev/null
+++ b/env/setup-inner.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -eu -o pipefail
+
+msg()
+{
+ printf ' %s\n' "$@"
+}
+
+msg "Delete any existing inner VMs"
+vmadm delete puomi.yaml
+
+msg "Create new inner VMs"
+vmadm new puomi.yaml
+
+msg "Provision inner VMs"
+chronic ansible-playbook -i inner-hosts inner.yml